<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_box.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Box Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_box.html">Box</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_box.html#aca78d7db44972bfa78d46b7bbc8796f6">Box</a>()</td><td class="entry"><a class="el" href="class_box.html">Box</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_box.html#a585d0404a35714d72dc7b538a942a646">Box</a>(Vec p)</td><td class="entry"><a class="el" href="class_box.html">Box</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_box.html#a2d3c07d8475cba63a7b481b40d6deb37">Box</a>(Vec min, Vec max)</td><td class="entry"><a class="el" href="class_box.html">Box</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_box.html#aa440a95b15ae156b61dc6952440ecf4d">expandToInclude</a>(const Box &amp;b)</td><td class="entry"><a class="el" href="class_box.html">Box</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_box.html#a91c05db61f3d6ee482f023b52beef709">expandToInclude</a>(const Vec &amp;p)</td><td class="entry"><a class="el" href="class_box.html">Box</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_box.html#ad846af015e917b52877ca9af26e771f8">extent</a></td><td class="entry"><a class="el" href="class_box.html">Box</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_box.html#af8eb0b6a51547413ba7b644c03ba733f">hit</a>(const Ray &amp;r, double *tnear, double *tfar)</td><td class="entry"><a class="el" href="class_box.html">Box</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_box.html#ae853f5935d9a8aa3823993d6d80e0300">max</a></td><td class="entry"><a class="el" href="class_box.html">Box</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_box.html#a09a048ff5995a621847e675e9bf51856">maxDimension</a>()</td><td class="entry"><a class="el" href="class_box.html">Box</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_box.html#ad1f3063a392fa6d1fc2b5aec6d8f0b3c">min</a></td><td class="entry"><a class="el" href="class_box.html">Box</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_box.html#a3a04958793a3430d2bcab9a819c77d33">surfaceArea</a>()</td><td class="entry"><a class="el" href="class_box.html">Box</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_box.html#a6a5e09398e85d602a046b429062fb9c2">~Box</a>()</td><td class="entry"><a class="el" href="class_box.html">Box</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
